> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Safecracking



## OpenAPI

````yaml cherrytree/openapi.json get /safes
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /safes:
    get:
      summary: Safecracking
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Safecracking'
components:
  schemas:
    Safecracking:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              safe:
                type: string
              level:
                type: number
              locks:
                type: number
              speed:
                type: number
              width:
                type: number
              exp:
                type: number
              drops:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    name:
                      type: string
                    amount:
                      type: number
                    percentage:
                      type: number
                    text:
                      type: string
                  required:
                    - itemId
                    - name
                    - amount
                    - percentage
                    - text
              boostDrops:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    name:
                      type: string
                    amount:
                      type: number
                    percentage:
                      type: number
                    text:
                      type: string
                  required:
                    - itemId
                    - name
                    - amount
                    - percentage
                    - text
            required:
              - id
              - safe
              - level
              - locks
              - speed
              - width
              - exp
              - drops
              - boostDrops
      required:
        - total
        - results

````